--- title: "getConnection" slug: "analytics-datacatalog-connection-getconnection" tags: ["Data Catalog"] updated: 2026-09-17T09:47:59Z published: 2026-09-17T09:47:59Z canonical: "api.ncloud-docs.com/analytics-datacatalog-connection-getconnection" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getConnection Available in VPC Get details of a connection. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/catalogs/{catalogId}/connections/{connectionId} | ### Request headers For information about the headers common to all Data Catalog APIs, see [Data Catalog request headers](/docs/en/analytics-datacatalog#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `catalogId` | Integer | Required | Catalog ID - See [getCatalogs](/docs/en/analytics-datacatalog-catalog-getcatalogs). | | `connectionId` | Integer | Required | Connection ID - See [getConnections](/docs/en/analytics-datacatalog-connection-getconnections). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://datacatalog.apigw.ntruss.com/api/v1/catalogs/4**/connections/6**' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `connectionId` | Integer | - | Connection ID | | `catalogId` | Integer | - | Catalog ID | | `name` | String | - | Connection name | | `description` | String | - | Connection description | | `type` | String | - | Data type | | `connectionConfigJson` | Object | - | Data details | | `connectionConfigJson.clusterNo` | Integer | - | Database service number | | `connectionConfigJson.clusterName` | String | - | Database service name | | `connectionConfigJson.jdbcUrl` | String | - | JDBC (Java Database Connectivity) access URL - Displayed if `type` is `JDBC`. | | `connectionConfigJson.databaseName` | String | - | Database name | | `createTime` | String | - | Connection creation date and time - ISO 8601 format | | `updateTime` | String | - | Update date and time - ISO 8601 format | Note The `connectionConfigJson` JSON format may vary depending on the connection type. ### Response status codes For response status codes common to all Data Catalog APIs, see [Data Catalog response status codes](/docs/en/analytics-datacatalog#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "connectionId": 6**, "catalogId": 4**, "name": "connect_mongodb", "description": "Connection to MongoDB", "type": "CLOUD_DB_FOR_MONGODB", "connectionConfigJson": { "clusterNo": 10*****24, "clusterName": "test", "databaseName": "test" }, "createTime": "2025-03-18T16:21:29+0900", "updateTime": "2025-03-19T16:30:18+0900" } ```